Skip to main content
Cancel a running SimplePipeline
curl --request POST \
  --url https://api.ionworks.com/simple_pipelines/{simple_pipeline_id}/cancel
{
  "id": "<string>",
  "project_id": "<string>",
  "organization_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "config_path": "<string>",
  "user_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "job_id": "<string>",
  "error": "<string>",
  "created_by_email": "<string>",
  "result": {}
}

Path Parameters

simple_pipeline_id
string
required

Response

Successful Response

Full model for detail responses and DB records.

id
string
required
project_id
string
required
organization_id
string
required
status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
canceled
created_at
string<date-time>
required
updated_at
string<date-time>
required
config_path
string
required
user_id
string | null
name
string | null
description
string | null
job_id
string | null
error
string | null
error_code
enum<string> | null

Machine-readable error codes for jobs.

Available options:
CONFIGURATION_ERROR,
SOLVER_ERROR,
EXECUTION_TIMEOUT,
SUBMISSION_FAILED,
INTERNAL_ERROR
created_by_email
string | null
result
Result · object